Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.access.el
Class SpringBeanELResolver

    java.lang.Object
      javax.el.ELResolver
          org.springframework.beans.factory.access.el.SpringBeanELResolver

Direct Known Subclasses:
  SimpleSpringBeanELResolver, SpringBeanFacesELResolver

    public abstract class SpringBeanELResolver

extends javax.el.ELResolver

Unified EL `ELResolver` that delegates to a Spring BeanFactory, resolving name references to Spring-defined beans.

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  `SpringBeanFacesELResolver`

Field Summary
`protected org.apache.commons.logging.Log` | `logger` Logger available to subclasses

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`SpringBeanELResolver()`

Method Summary
`protected abstract BeanFactory` | `getBeanFactory(javax.el.ELContext elContext)` Retrieve the Spring BeanFactory to delegate bean name resolution to.
`java.lang.Class<?>` | `getCommonPropertyType(javax.el.ELContext elContext, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext elContext, java.lang.Object base)`
`java.lang.Class<?>` | `getType(javax.el.ELContext elContext, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext elContext, java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(javax.el.ELContext elContext, java.lang.Object base, java.lang.Object property)`
`void` | `setValue(javax.el.ELContext elContext, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

  Logger available to subclasses

Constructor Detail

### SpringBeanELResolver

    public SpringBeanELResolver()

Method Detail

### getValue

    public java.lang.Object getValue(javax.el.ELContext elContext,
                                     java.lang.Object base,
                                     java.lang.Object property)
                              throws javax.el.ELException

  Specified by:
    `getValue` in class `javax.el.ELResolver`
  Throws:
    `javax.el.ELException`

### getType

    public java.lang.Class<?> getType(javax.el.ELContext elContext,
                                      java.lang.Object base,
                                      java.lang.Object property)
                               throws javax.el.ELException

  Specified by:
    `getType` in class `javax.el.ELResolver`
  Throws:
    `javax.el.ELException`

### setValue

    public void setValue(javax.el.ELContext elContext,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                  throws javax.el.ELException

  Specified by:
    `setValue` in class `javax.el.ELResolver`
  Throws:
    `javax.el.ELException`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext elContext,
                              java.lang.Object base,
                              java.lang.Object property)
                       throws javax.el.ELException

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`
  Throws:
    `javax.el.ELException`

### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext elContext,
                                                                                  java.lang.Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getCommonPropertyType

    public java.lang.Class<?> getCommonPropertyType(javax.el.ELContext elContext,
                                                    java.lang.Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

### getBeanFactory

    protected abstract BeanFactory getBeanFactory(javax.el.ELContext elContext)

  Retrieve the Spring BeanFactory to delegate bean name resolution to.

  Parameters:
    `elContext` - the current ELContext
  Returns:
    the Spring BeanFactory (never `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD